# tickers

## tickers (Market Info)

> The /tickers endpoint provides 24-hour pricing and volume information on each market pair available on an exchange.

```json
{"openapi":"3.0.1","info":{"title":"后端接口","version":"1.0.0"},"servers":[{"url":"https://api.dotswap.app","description":"swap正式"},{"url":"https://test-api-proxy.ddpurse.com","description":"swap测试"}],"security":[],"paths":{"/dotswap/api/public/tickers":{"get":{"summary":"tickers (Market Info)","deprecated":false,"description":"The /tickers endpoint provides 24-hour pricing and volume information on each market pair available on an exchange.","tags":[],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"ticker_id":{"type":"string","description":"Identifier of a ticker with delimiter to separate base/target"},"base_currency":{"type":"string","description":"Symbol of  the base cryptoasset"},"target_currency":{"type":"string","description":"Symbol of the target cryptoasset"},"pool_id":{"type":"string","description":"pool unique ID"},"last_price":{"type":"string","description":"Last transacted price of base currency based on given target currency"},"base_volume":{"type":"string","description":"24 hour trading volume for the pair (unit in base)"},"target_volume":{"type":"string","description":"24 hour trading volume for the pair (unit in target)"},"liquidity_in_usd":{"type":"string","description":"Pool liquidity in USD"}},"required":["ticker_id","base_currency","target_currency","pool_id","last_price","base_volume","target_volume","liquidity_in_usd"]}}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.on.nexus/dotswap/developers/market-data-and-feeds/spot-exchanges/tickers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
